"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var NativeCheckbox =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inherits2.default)(NativeCheckbox, _React$PureComponent);

  function NativeCheckbox() {
    (0, _classCallCheck2.default)(this, NativeCheckbox);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(NativeCheckbox).apply(this, arguments));
  }

  (0, _createClass2.default)(NativeCheckbox, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.updateDeterminateProperty();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      this.updateDeterminateProperty();
    }
  }, {
    key: "updateDeterminateProperty",
    value: function updateDeterminateProperty() {
      var indeterminate = this.props.indeterminate;
      this.checkbox.indeterminate = indeterminate;
    }
  }, {
    key: "render",
    value: function render() {
      var _this = this;

      var props = (0, _objectSpread2.default)({}, this.props); // Remove property that does not exist in HTML

      delete props.indeterminate;
      return _react.default.createElement("input", (0, _extends2.default)({}, props, {
        ref: function ref(c) {
          _this.checkbox = c;
        },
        type: "checkbox"
      }));
    }
  }]);
  return NativeCheckbox;
}(_react.default.PureComponent);

(0, _defineProperty2.default)(NativeCheckbox, "defaultProps", {
  indeterminate: false
});
NativeCheckbox.propTypes = process.env.NODE_ENV !== "production" ? {
  indeterminate: _propTypes.default.bool
} : {};
var _default = NativeCheckbox;
exports.default = _default;