"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var nodeShape = {
  label: _propTypes.default.node.isRequired,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  disabled: _propTypes.default.bool,
  icon: _propTypes.default.node,
  showCheckbox: _propTypes.default.bool,
  title: _propTypes.default.string
};

var nodeShapeWithChildren = _propTypes.default.oneOfType([_propTypes.default.shape(nodeShape), _propTypes.default.shape((0, _objectSpread2.default)({}, nodeShape, {
  children: _propTypes.default.arrayOf(nodeShape).isRequired
}))]);

var _default = nodeShapeWithChildren;
exports.default = _default;